Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Connector Class Reference

SSLIOP-specific Connector bridge for pluggable protocols. More...

`#include <SSLIOP_Connector.h>`

Inheritance diagram for TAO_SSLIOP_Connector

[legend]
Collaboration diagram for TAO_SSLIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_SSLIOP_Connection_Handler> | TAO_SSLIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_SSLIOP_Connection_Handler> | TAO_SSLIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> | TAO_SSLIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> | TAO_SSLIOP_BASE_CONNECTOR
## Public Methods
| TAO_SSLIOP_Connector (int no_protection)
| Constructor.
The TAO_Connector methods
Please check the documentation in Pluggable.h
virtual int | open (TAO_ORB_Core *orb_core)
virtual int | close (void)
virtual int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV)
virtual TAO_Profile* | create_profile (TAO_InputCDR& cdr)
## Protected Methods
virtual TAO_Profile* | make_profile (CORBA::Environment &ACE_TRY_ENV)
int | iiop_connect (TAO_SSLIOP_Endpoint *ssliop_endpoint, TAO_GIOP_Invocation *invocation, CORBA::Environment &ACE_TRY_ENV)
| IIOP-specific connection establishment. More...
int | ssliop_connect (TAO_SSLIOP_Endpoint *ssliop_endpoint, Security::EstablishTrust *trust, TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV)
| SSLIOP-specific connection establishment.
## Private Attributes
int | no_protection_
| If zero, connect to IIOP over SSL port by default. Otherwise, connect to the insecure IIOP port.
TAO_SSLIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy.
TAO_SSLIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for IIOP.
TAO_SSLIOP_Connection_Handler_State | handler_state_
| State that will be passed to each SSLIOP connection handler upon creation.

## Detailed Description

SSLIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registry.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> TAO_SSLIOP_Connector::TAO_SSLIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_SSLIOP_Connection_Handler> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_SSLIOP_Connection_Handler, ACE_SSL_SOCK_CONNECTOR> TAO_SSLIOP_Connector::TAO_SSLIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_SSLIOP_Connector::TAO_SSLIOP_Connector ( | int no_protection )`[inline]`

| Constructor.

## Member Function Documentation

int TAO_SSLIOP_Connector::close ( | void )`[virtual]`

| Reimplemented from TAO_IIOP_SSL_Connector.

int TAO_SSLIOP_Connector::connect ( | TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_IIOP_SSL_Connector.

TAO_Profile * TAO_SSLIOP_Connector::create_profile ( | TAO_InputCDR & cdr )`[virtual]`

| Reimplemented from TAO_IIOP_Connector.

int TAO_SSLIOP_Connector::iiop_connect ( | TAO_SSLIOP_Endpoint * ssliop_endpoint,
| TAO_GIOP_Invocation * invocation,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

| IIOP-specific connection establishment. Note: The IIOP endpoint is extracted from the SSLIOP endpoint.

TAO_Profile * TAO_SSLIOP_Connector::make_profile ( | CORBA::Environment & ACE_TRY_ENV )`[protected, virtual]`

| Reimplemented from TAO_IIOP_Connector.

int TAO_SSLIOP_Connector::open ( | TAO_ORB_Core * orb_core )`[virtual]`

| Reimplemented from TAO_IIOP_SSL_Connector.

int TAO_SSLIOP_Connector::ssliop_connect ( | TAO_SSLIOP_Endpoint * ssliop_endpoint,
| Security::EstablishTrust * trust,
| TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

| SSLIOP-specific connection establishment.

## Member Data Documentation

TAO_SSLIOP_BASE_CONNECTOR TAO_SSLIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for IIOP. Reimplemented from TAO_IIOP_SSL_Connector.

TAO_SSLIOP_CONNECT_STRATEGY TAO_SSLIOP_Connector::connect_strategy_`[private]`

| Our connect strategy. Reimplemented from TAO_IIOP_SSL_Connector.

TAO_SSLIOP_Connection_Handler_State TAO_SSLIOP_Connector::handler_state_`[private]`

| State that will be passed to each SSLIOP connection handler upon creation. Reimplemented from TAO_IIOP_SSL_Connector.

int TAO_SSLIOP_Connector::no_protection_`[private]`

| If zero, connect to IIOP over SSL port by default. Otherwise, connect to the insecure IIOP port.

The documentation for this class was generated from the following files:

- SSLIOP_Connector.h
- SSLIOP_Connector.cpp